package common;

import audio.BlueAudio;
import engine.GameEngine;
import java.io.InputStream;
import java.io.OutputStream;
import javax.bluetooth.UUID;
import javax.microedition.io.StreamConnection;

/**
 * Data class. Holds the variables and objects needed by
 * more than one class
 * 
 * @author sumanta
 */
public class CommonVariables {
	/*
	 * MYUUID is a final variable containing UUID for server's UUID. 0x0003 is RFCOMM
	 */
	public static final UUID MYUUID = new UUID(0x0003);
	/*
	 * indicates the party who should communicate now
	 */
	public static boolean myTurn = true;
	/*
	 * Connection object for communicating with the peer
	 */
	public static StreamConnection conn = null;
	public static InputStream in = null;
	public static OutputStream out = null;
        public static String myName = null;
        /*
         * main engine of the game, all the logic
         */
        public static GameEngine engine = new GameEngine();
        public static char myChar;
        /*
         * object from playing audio, kept here to control audio from anywhere
         */
        public static BlueAudio audio = null;
}
